pst コマンドのエラー

TOP Forums WEXAL® パーソナルライセンス pst コマンドのエラー

pst コマンドのエラー

Tagged: 

Viewing 2 reply threads
  • Author
    Posts
    • #1186
      nagi
      Participant

        KUSANAGI for AWS Premium Edition (8.7.10-1) にて WEXAL (2.5.4) を適用してサイトを運用しています。

        # kusanagi status
        Profile: xxxx
        FQDN: http://www.xxxx.co.jp
        Type: lamp
        KUSANAGI Version 8.7.10-1
        aws-prem

        *** (active) Apache2 ***
        ● httpd.service – The Apache HTTP Server
        Loaded: loaded (/usr/lib/systemd/system/httpd.service; enabled; vendor preset: disabled)
        Active: active (running) since Mon 2023-05-22 10:29:25 JST; 2h 14min ago

        *** (active) php7-fpm ***
        ● php7-fpm.service – The PHP FastCGI Process Manager
        Loaded: loaded (/usr/lib/systemd/system/php7-fpm.service; enabled; vendor preset: disabled)
        Active: active (running) since Mon 2023-05-22 10:29:26 JST; 2h 14min ago

        *** (active) MariaDB ***
        ● mariadb.service – MariaDB 10.1.48 database server
        Loaded: loaded (/usr/lib/systemd/system/mariadb.service; enabled; vendor preset: disabled)
        Active: active (running) since Fri 2023-04-28 00:09:52 JST; 3 weeks 3 days ago

        *** ruby ***
        ruby 2.4.6p354 (2019-04-01 revision 67394) [x86_64-linux]

        *** add-on ***

        *** Cache Status ***
        fcache off

        *** WAF ***
        off

        *** SELinux ***
        off (permanent)

        Done.

        一週間前頃よりpstコマンドを使用すると下記のエラーが出るようになってしまいました。

        PHP Warning: array_keys() expects parameter 1 to be array, null given in /home/kusanagi/xxxx/wexal/page_speed_technology/worker.php on line 299
        PHP Warning: in_array() expects parameter 2 to be array, null given in /home/kusanagi/xxxx/wexal/page_speed_technology/worker.php on line 299

        in_array()やarray_keys()を不正な値にて実行しようとしてるようなのですが体感的に上記のファイルはphp5系に合わせたの記述なのに対し、php7系で実行しようとして非推奨となった処理を実行してのエラー?とかの雰囲気が見受けられます。
        そもそも「worker.php」の既存不具合なのか推奨環境外で実行しているのかがわからないため、何か知っている方がいらっしゃいましたらご教示いただけますと幸いです。

        また、直近でkusanagi のアップデートをしたことが影響しているかと懸念しておりますが、アップデートによってpstコマンドに影響が出ることがあるのでしょうか?
        取り急ぎpst コマンドのバージョンを共有させていただきます。

        # pst version
        Global : Version 2.5.4
        Profile: Version 2.4.4

        どうぞよろしくお願い致します。

        • This topic was modified 1 year ago by nagi.
        • This topic was modified 1 year ago by nagi.
      • #1190
        cloudy
        Participant

          nagi さん、こんにちは

          プロファイルの方が2.4.4のままで古いままのようです。
          まずこちらをご確認いただけますでしょうか?

          # pst version
          Global : Version 2.5.4
          Profile: Version 2.4.4

          pst 2系はシステムのバージョンとプロファイルのバージョンが別なので、アップデートした後はプロファイルのバージョンも pst init で上げる必要があります。

          WEXAL® Page Speed Technology モジュール更新情報

        • #1191
          nagi
          Participant

            cloudy さん、ご回答ありがとうございます。

            pst init でProfile のバージョンを上げましたら、エラー解消されました。

            ご確認ありがとうございました。

        Viewing 2 reply threads
        • You must be logged in to reply to this topic.

        Next article

        フォーラムについて